{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/open_immo_interface/ftp_user') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/open_immo_interface/ftp_user') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">OpenImmo-Schnittstelle / FTP-Zugang</span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg my-4">
        <div class="mdc-card mb-4 p-4">
            <h2 class="fs-3">
                OpenImmo-Schnittstelle
            </h2>
            <p>
                Als Anbieter:in von Immobilien haben Sie die Möglichkeit, Objekte per OpenImmo-Schnittstelle aus Ihrer Maklersoftware an LeAn® zu übertragen.
                Übertragene Immobilien werden dann seitens den Sachbearbeiter:innen der Stadt Musterstadt mit in das Matching passender Ansiedlungsgesuche einbezogen.
            </p>
            <p>
                Um Daten per Schnittstelle übertragen zu können, benötigen Sie einen gültigen FTP-Zugang, den Sie in Ihrer Maklersoftware eintragen müssen.
            </p>
        </div>
        <div class="mdc-card p-4 mb-4">
            <h2 class="fs-3">
                FTP-Zugangsdaten
            </h2>
            {{ form_start(ftpUserDataForm, {'attr': {'id': ftpUserDataForm.vars.id ~ '_form'}}) }}
            {% if accountOpenImmoFtpUser == null %}
                <p>
                    Bislang haben Sie noch keine FTP-Zugangsdaten generiert. Sofern Sie per Software Objekte an LeAn® übertragen möchten, erstellen Sie bitte Ihre persönlichen Zugangsdaten über den untenstehenden Button.
                </p>
                <div class="row">
                    <div class="col">
                        {{ form_widget(ftpUserDataForm.create, {'label': 'FTP-ZUGANG ERSTELLEN', 'id': ftpUserDataForm.create.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised'}}) }}
                    </div>
                </div>
            {% endif %}

            {% if accountOpenImmoFtpUser != null %}
                <p>Untenstehend finden Sie Ihre persönlichen FTP-Zugangsdaten für die Datenübertragung. Sie können diese kopieren und in Ihrer Maklersoftware an der entsprechenden Stelle zur Schnittstelleneinrichtung eintragen.</p>
                <div class="row">
                    <div class="col-12 col-lg-6 mb-3">
                        <div class="row">
                            <div class="col-10">
                                {{ form_row(ftpUserDataForm.ftpHostname) }}
                            </div>
                            <div class="col-2 pt-3">
                                <a href="#" id="copy_{{ ftpUserDataForm.vars.id }}_ftpHostname" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                                    <div class="mdc-icon-button__ripple"></div>
                                    content_copy
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-lg-6 mb-3">
                        <div class="row">
                            <div class="col-10">
                                {{ form_row(ftpUserDataForm.ftpUsername) }}
                            </div>
                            <div class="col-2 pt-3">
                                <a href="#" id="copy_{{ ftpUserDataForm.vars.id }}_ftpUsername" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                                    <div class="mdc-icon-button__ripple"></div>
                                    content_copy
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                {% if ftpUserDataForm.ftpPassword.vars.value is not empty %}
                    <div class="row">
                        <div class="col-12 col-lg-6 mb-3">
                            <div class="row">
                                <div class="col-10">
                                    {{ form_row(ftpUserDataForm.ftpPassword) }}
                                </div>
                                <div class="col-2 pt-3">
                                    <a href="#" id="copy_{{ ftpUserDataForm.vars.id }}_ftpPassword" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                                        <div class="mdc-icon-button__ripple"></div>
                                        content_copy
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12 mb-3">
                            <small><strong>Hinweis:</strong> Ihr Passwort ist nur einmalig sichbar. Sollten Sie dieses vergessen haben, so müssen Sie ein neues Passwort erzeugen und in Ihrer Maklersoftware ändern.</small>
                        </div>
                    </div>
                {% else %}
                    <div class="row">
                        <div class="col">
                            {{ form_widget(ftpUserDataForm.passwordReset, {'label': 'NEUES PASSWORT ERSTELLEN', 'id': ftpUserDataForm.passwordReset.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised'}}) }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12 mb-3">
                            <small><strong>Hinweis:</strong> Ihr Passwort ist nicht mehr sichtbar. Sollten Sie es vergessen haben, so müssen Sie mit Klick auf den Button ein neues Passwort erzeugen und in Ihrer Maklersoftware ändern.</small>
                        </div>
                    </div>
                {% endif %}
            {% endif %}
            {{ form_row(ftpUserDataForm._token) }}
            {{ form_end(ftpUserDataForm, {'render_rest': false}) }}
        </div>

        {% if accountOpenImmoFtpUser != null %}
            <div class="mdc-card p-4 mb-4">
                <h2 class="fs-3">Weitere OpenImmo-Daten</h2>
                <p>Zum Anlegen der OpenImmo-Schnittstelle benötigen Sie ggf. noch folgende weitere Informationen:</p>
                <div class="row">
                    <div class="col-12 col-md-6 col-lg-3">
                        <p>
                            <strong>Portalname:</strong><br>
                            LeAn® von {{ app.user.getAccount().getParentAccount().getName() }}
                        </p>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <p>
                            <strong>Kundennummer:</strong><br>
                            {{ app.user.getAccount().getId() }}
                        </p>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <p>
                            <strong>OpenImmo-Version:</strong><br>
                            1.2.7
                        </p>
                    </div>
                    <div class="col-12 col-md-6 col-lg-3">
                        <p>
                            <strong>Übertragung:</strong><br>
                            als zip-File
                        </p>
                    </div>
                </div>
                <small><strong>Hinweis:</strong> Der FTP-Zugang kann als FTP (unsicher), FTPS oder SFTP eingerichtet werden.</small>
            </div>
        {% endif %}
    </div>
{% endblock %}
